[arch-commits] CVS update of extra/science/hdf5 (PKGBUILD gcc-4.3.patch)

Jan de Groot jgc at archlinux.org
Sun Mar 9 15:23:37 UTC 2008


    Date: Sunday, March 9, 2008 @ 11:23:37
  Author: jgc
    Path: /home/cvs-extra/extra/science/hdf5

   Added: gcc-4.3.patch (1.1)
Modified: PKGBUILD (1.4 -> 1.5)

upgpkg: hdf5 1.8.0-3
    Rebuild against gcc 4.3/fortran 4.3
Use ABSOLUTELY NO OPTIMIZATION!


---------------+
 PKGBUILD      |   28 ++++++++++++++++++----------
 gcc-4.3.patch |   41 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+), 10 deletions(-)


Index: extra/science/hdf5/PKGBUILD
diff -u extra/science/hdf5/PKGBUILD:1.4 extra/science/hdf5/PKGBUILD:1.5
--- extra/science/hdf5/PKGBUILD:1.4	Sat Mar  8 06:49:09 2008
+++ extra/science/hdf5/PKGBUILD	Sun Mar  9 11:23:36 2008
@@ -1,21 +1,28 @@
-# $Id: PKGBUILD,v 1.4 2008/03/08 11:49:09 damir Exp $
+# $Id: PKGBUILD,v 1.5 2008/03/09 15:23:36 jgc Exp $
 # Maintainer: damir <damir at archlinux.org>
 # Contributor: Tom K <tomk at runbox.com>
 
 pkgname=hdf5
 pkgver=1.8.0
-pkgrel=2
+pkgrel=3
 arch=("i686" "x86_64")
 pkgdesc="General purpose library and file format for storing scientific data"
 url="http://hdf.ncsa.uiuc.edu/HDF5/"
 license=("custom")
-depends=('zlib' 'openssl' 'gcc-libs')
+depends=('zlib' 'openssl' 'gcc-libs>=4.3.0')
 makedepends=('gcc' 'time')
-source=("ftp://ftp.hdfgroup.org/HDF5/current/src/$pkgname-$pkgver.tar.gz")
+source=(ftp://ftp.hdfgroup.org/HDF5/current/src/${pkgname}-${pkgver}.tar.gz
+	gcc-4.3.patch)
 options=("!libtool")
+md5sums=('e68e13685a56b50cab237fd58dc7a59c' '0c59e6004536914e62324037ad49d82e')
+md5sums=('e68e13685a56b50cab237fd58dc7a59c'
+         '4af864c222a9cf4b924ce7ff0f371cc5')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  unset CFLAGS
+  unset CXXFLAGS
+  patch -Np0 -i ${startdir}/src/gcc-4.3.patch || return 1
   F9X=gfortran ./configure --prefix=/usr \
                             --enable-hl \
                             --enable-threadsafe \
@@ -25,16 +32,18 @@
                             --enable-hdf5v1_6 \
 			    --enable-cxx \
                             --enable-fortran \
+			    --enable-shared \
+			    --with-pic \
 			    --docdir=/usr/share/hdf5/ \
                             --with-pthread=/usr/lib/ \
                             --with-ssl=/usr/lib/
   make || return 1
   make check || return 1
-  make prefix=$startdir/pkg/usr install
+  make -j1 prefix=${startdir}/pkg/usr install || return 1
 
-  mkdir -p $startdir/pkg/usr/share/licenses/$pkgname
-  install $startdir/src/$pkgname-$pkgver/COPYING \
-          $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  install -d -m755 ${startdir}/pkg/usr/share/licenses/${pkgname} || return 1
+  install -m644 ${startdir}/src/${pkgname}-${pkgver}/COPYING \
+          ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE || return 1
 }
 
 
@@ -82,4 +91,3 @@
 
 
 
-md5sums=('e68e13685a56b50cab237fd58dc7a59c')
Index: extra/science/hdf5/gcc-4.3.patch
diff -u /dev/null extra/science/hdf5/gcc-4.3.patch:1.1
--- /dev/null	Sun Mar  9 11:23:37 2008
+++ extra/science/hdf5/gcc-4.3.patch	Sun Mar  9 11:23:36 2008
@@ -0,0 +1,41 @@
+--- config/gnu-flags~	2008-03-09 14:43:45.000000000 +0000
++++ config/gnu-flags	2008-03-09 14:45:11.000000000 +0000
+@@ -157,6 +157,10 @@
+         # later versions of gcc will fix this bug... - QAK - 2003/10/20
+         PROD_CFLAGS="-O"
+         ;;
++      gcc-4.3*)
++        # Make check segfaults in the long long test with -O and -O2
++        PROD_CFLAGS=""
++        ;;
+       gcc-4*)
+         # Be optimistic about future versions of gcc.. :-) - QAK - 2003/10/20
+         PROD_CFLAGS="-O3"
+@@ -166,7 +170,6 @@
+         ;;
+     esac
+ 
+-    PROD_CFLAGS="$PROD_CFLAGS -fomit-frame-pointer -finline-functions"
+     PROD_CPPFLAGS=
+ 
+     # Debug
+@@ -191,7 +194,7 @@
+ # Closer to the gcc 4.2 release, we should check for additional flags to
+ # include and break it out into it's own section, like the other versions
+ # below. -QAK
+-  gcc-4.[12]*)
++  gcc-4.[123]*)
+     # Replace -ansi flag with -std=c99 flag
+     H5_CFLAGS="`echo $H5_CFLAGS | sed -e 's/-ansi/-std=c99/g'`"
+ 
+--- c++/src/H5PropList.cpp.orig	2008-03-08 23:17:27.000000000 +0000
++++ c++/src/H5PropList.cpp	2008-03-08 23:17:52.000000000 +0000
+@@ -426,7 +426,7 @@
+    if (temp_str != NULL)
+    {
+       H5std_string class_name = H5std_string(temp_str);
+-      free(temp_str);
++      delete(temp_str);
+       return(class_name);
+    }
+    else




More information about the arch-commits mailing list